Create an inbound source config
curl --request POST \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bacenSystemCode": "<string>",
"credentialId": "<string>",
"displayName": "<string>",
"intervalSeconds": 123,
"sourceProduct": "<string>",
"bacenSystemFilterCode": "<string>",
"maxFileSizeBytes": 123,
"retentionDays": 123,
"urgencyEnabled": true
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
payload := strings.NewReader("{\n \"bacenSystemCode\": \"<string>\",\n \"credentialId\": \"<string>\",\n \"displayName\": \"<string>\",\n \"intervalSeconds\": 123,\n \"sourceProduct\": \"<string>\",\n \"bacenSystemFilterCode\": \"<string>\",\n \"maxFileSizeBytes\": 123,\n \"retentionDays\": 123,\n \"urgencyEnabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bacenSystemCode: '<string>',
credentialId: '<string>',
displayName: '<string>',
intervalSeconds: 123,
sourceProduct: '<string>',
bacenSystemFilterCode: '<string>',
maxFileSizeBytes: 123,
retentionDays: 123,
urgencyEnabled: true
})
};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
payload = {
"bacenSystemCode": "<string>",
"credentialId": "<string>",
"displayName": "<string>",
"intervalSeconds": 123,
"sourceProduct": "<string>",
"bacenSystemFilterCode": "<string>",
"maxFileSizeBytes": 123,
"retentionDays": 123,
"urgencyEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Create an inbound source config
Provisions an inbound source config for the authenticated tenant. Every config is guarded against the configured inbound discovery reserve before persistence; a violation surfaces 422 POLLING_BUDGET_EXCEEDED.
POST
/
v1
/
inbound-source-configs
Create an inbound source config
curl --request POST \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bacenSystemCode": "<string>",
"credentialId": "<string>",
"displayName": "<string>",
"intervalSeconds": 123,
"sourceProduct": "<string>",
"bacenSystemFilterCode": "<string>",
"maxFileSizeBytes": 123,
"retentionDays": 123,
"urgencyEnabled": true
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
payload := strings.NewReader("{\n \"bacenSystemCode\": \"<string>\",\n \"credentialId\": \"<string>\",\n \"displayName\": \"<string>\",\n \"intervalSeconds\": 123,\n \"sourceProduct\": \"<string>\",\n \"bacenSystemFilterCode\": \"<string>\",\n \"maxFileSizeBytes\": 123,\n \"retentionDays\": 123,\n \"urgencyEnabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bacenSystemCode: '<string>',
credentialId: '<string>',
displayName: '<string>',
intervalSeconds: 123,
sourceProduct: '<string>',
bacenSystemFilterCode: '<string>',
maxFileSizeBytes: 123,
retentionDays: 123,
urgencyEnabled: true
})
};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs"
payload = {
"bacenSystemCode": "<string>",
"credentialId": "<string>",
"displayName": "<string>",
"intervalSeconds": 123,
"sourceProduct": "<string>",
"bacenSystemFilterCode": "<string>",
"maxFileSizeBytes": 123,
"retentionDays": 123,
"urgencyEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Autorizaciones
JWT bearer token issued by the identity provider.
Cuerpo
application/json
Inbound source config creation payload
Respuesta
Created
¿Esta página le ayudó?

